  ServerEvents.recipes(event => {
    event.custom({
      "type": "create:milling",
      "ingredients": [{ "item": "minecraft:gravel" }],
      "processingTime": 250,
      "results": [{ "item": "minecraft:sand" }]
    })
    .id('create:milling/gravel')
  }) 
    ServerEvents.recipes(event => {
      event.remove({ output: 'minecraft:string' })
      event.custom({
      "type": "create:milling",
      "ingredients": [{ "item": "thermal:flax" }],
      "processingTime": 150,
      "results": [{ "item": "minecraft:string" }]
    })
  }) 
  ServerEvents.recipes(event => {
    event.remove({id: 'createaddition:mixing/netherrack'})
    event.custom({
      "type": "create:mixing",
      "ingredients": [{ "amount":1000, "fluid": "minecraft:lava", "nbt":{} }, {"item": "minecraft:redstone"}],
      "results": [{ "item": "minecraft:netherrack" }]
    })
  })
    ServerEvents.recipes(event => {
    event.remove({id: 'create:sequenced_assembly/precision_mechanism'})
      event.custom({
        "type": "create:sequenced_assembly",
        "ingredient": {"item": "create:golden_sheet"},
        "loops": 1,

        "results": [
          { 
            "chance": 120.0, 
            "item": "create:precision_mechanism" 
          }
        ],
      "sequence": [
        {
        "type": "create:deploying",
        "ingredients": [
        {
          "item": "create:incomplete_precision_mechanism"
        },
        {
          "item": "create:gearbox"
        }
      ],
      "results": [
        {
          "item": "create:incomplete_precision_mechanism"
        }
      ]
    },
      {
        "type": "create:deploying",
        "ingredients": [
        {
          "item": "create:incomplete_precision_mechanism"
        },
        {
          "item": "create:water_wheel"
        }
      ],
      "results": [
        {
          "item": "create:incomplete_precision_mechanism"
         }
        ]
      },
      {
        "type": "create:deploying",
        "ingredients": [
        {
          "item": "create:incomplete_precision_mechanism"
        },
        {
          "item": "minecraft:iron_ingot"
        }
      ],
      "results": [
        {
          "item": "create:incomplete_precision_mechanism"
         }
        ]
      }
    ],
      "transitionalItem": {
        "item": "create:incomplete_precision_mechanism"
        }
    })
  })
  ServerEvents.recipes(event => {
    event.remove({id:'createaddition:rolling/straw'})
    event.custom({
      "type":"createaddition:rolling",
      "input": {
        "item": "kubejs:straw_base"
      },
      "result": {
        "item": "createaddition:straw",
        "count": 1
      }
    })
  })
 ServerEvents.recipes(event => {
    event.custom({
      
  "type": "create:crushing",
  "ingredients": 
    [{"item": "minecraft:netherrack"}],
  "processingTime": 250,
  "results": [
    {
      "item": "create:cinder_flour"
    },
    {
      "chance": 0.8,
      "item": "minecraft:ghast_tear"
    },
    {
      "chance": 0.8,
      "item": "minecraft:wither_skeleton_skull"
    },
    {
      "chance": 0.60,
      "count": 1,
      "item": "minecraft:netherite_scrap"
    }
    ],
  })
  .id('create:crushing/netherrack')
})
   ServerEvents.recipes(event => {
    event.remove({id: 'createaddition:mixing/netherrack'})
    event.custom({
      "type": "create:pressing",
      "ingredients":[{"item": "draconicevolution:dragon_heart"}],
      "results": [{ "item": "minecraft:pointed_dripstone" }]
    })
  })
  //Item.of('minecraft:potion', '{Potion:"minecraft:water"}') to make dragon breath